Gluecrawl Docs
Jobs

List Jobs

Paginated list of your jobs.

Authentication
Bearer API key
Request
No body
Response
200 JSON
Billing
No direct charge
Execution
Immediate

Paginated list of your jobs.

Query parameters

NameTypeDescription
limitoptionalintegerPage size.Default: 20Maximum: 100
offsetoptionalintegerNumber of jobs to skip.Default: 0
curl 'https://api.gluecrawl.ai/v1/jobs?limit=20&offset=0' \  -H "Authorization: Bearer glue_yourApiKeyHere"

Responses

application/json
{  "data": [    {      "id": "550e8400-e29b-41d4-a716-446655440000",      "url": "https://example.com/products",      "input": { "type": "goal", "value": "Extract all product names and prices" },      "columns": {        "listing": [          { "name": "product_name", "type": "text" },          { "name": "price", "type": "number" },          { "name": "product_url", "type": "url" }        ],        "detail": [          { "name": "description", "type": "text" },          { "name": "rating", "type": "number" }        ]      },      "status": "ready",      "protection_level": "light",      "max_pages": 10,      "created_at": "2026-04-01T09:00:00Z",      "updated_at": "2026-04-01T09:05:00Z"    },    {      "id": "661e8400-e29b-41d4-a716-446655440001",      "url": "https://example.com/listings",      "input": { "type": "columns", "value": [{ "name": "title" }, { "name": "price", "type": "number" }] },      "columns": {        "listing": [          { "name": "title", "type": "text" },          { "name": "price", "type": "number" }        ],        "detail": []      },      "status": "in_progress",      "protection_level": null,      "max_pages": 5,      "created_at": "2026-04-02T11:00:00Z",      "updated_at": "2026-04-02T11:00:00Z"    }  ],  "total": 14,  "limit": 20,  "offset": 0}